Get avatar | Moov Documentation

Get avatar

Get avatar image for an account using a unique ID.

To access this endpoint using an access token you'll need to specify the /profile-enrichment.read scope.

GET

/avatars/{uniqueID}

Example Requests

Curl

curl -X GET "https://api.moov.io/avatars/{uniqueID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.avatars.get({
    uniqueID: "<id>",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\